# Class GenerateIdeaProject

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<Project>
org.gradle.plugins.ide.api.XmlGeneratorTask<Project>
org.gradle.plugins.ide.idea.GenerateIdeaProject

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>`

public class GenerateIdeaProject extends XmlGeneratorTask<Project>
Generates an IDEA project file for root project *only*. If you want to fine tune the idea configuration

At this moment nearly all configuration is done via `IdeaProject`.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from class GeneratorTask

`afterConfigured, beforeConfigured, domainObject, generator`

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`GenerateIdeaProject()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configure(Project xmlModule)`
`Project`
`create()`
`IdeaProject`
`getIdeaProject()`
The Idea project model containing the details required to generate the project file.
`File`
`getOutputFile()`
output *.ipr file
`void`
`setIdeaProject(IdeaProject ideaProject)`
`void`
`setOutputFile(File newOutputFile)`
Sets the output file to write the final configuration to.

### Methods inherited from class XmlGeneratorTask

`getXmlTransformer`

### Methods inherited from class GeneratorTask

`getInputFile, getInputFileIfExists, getInstantiator, setInputFile`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GenerateIdeaProject

public GenerateIdeaProject()

## Method Details

### configure

protected void configure(Project xmlModule)

Specified by:
  `configure` in class `XmlGeneratorTask<Project>`

### create

public Project create()

Specified by:
  `create` in class `XmlGeneratorTask<Project>`

### getOutputFile

public File getOutputFile()
output *.ipr file

Overrides:
  `getOutputFile` in class `GeneratorTask<Project>`
Returns:
  The output file.

### setOutputFile

public void setOutputFile(File newOutputFile)
Description copied from class: `GeneratorTask`
Sets the output file to write the final configuration to.

Overrides:
  `setOutputFile` in class `GeneratorTask<Project>`
Parameters:
  `newOutputFile` - The output file.

### getIdeaProject

@Internal public IdeaProject getIdeaProject()
The Idea project model containing the details required to generate the project file.

### setIdeaProject

public void setIdeaProject(IdeaProject ideaProject)